=== debian/changelog ===
unclutter (8-26) unstable; urgency=medium

  [ Ian Jackson ]
  * Switch to ANSI C function declaration syntax.
    Closes: #1098037.
  * Remove debian/source/local-options from git
    (not visible in the source package).

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 23 Sep 2025 23:32:04 +0100

unclutter (8-25+nmu1) unstable; urgency=medium

  * Fix implicit ints in function declarations.
    Closes: #1075602.  [Report from Matthias Klose]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 Aug 2024 20:12:12 +0100

unclutter (8-25) unstable; urgency=low

  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Wed, 30 Oct 2019 00:47:57 +0100

unclutter (8-24) experimental; urgency=low

  * Add missing bug report number in previous changelog entry.
  * Change override_dh_installman to override_dh_installman-arch so that
    the man page doesn't get installed anywhere upon pure architecture=all
    builds. (Closes: #942787)

 -- Axel Beckert <abe@debian.org>  Tue, 22 Oct 2019 02:52:56 +0200

unclutter (8-23) experimental; urgency=low

  * Move debian/unclutter.{config,template} to unclutter-startup, too.
    + Update debian/po/{POTFILES.in,templates.pot} accordingly.
    + Closes: #942481
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Thu, 17 Oct 2019 03:12:53 +0200

unclutter (8-22) experimental; urgency=low

  [ Sean Whitton ]
  * Rename /usr/bin/unclutter to /usr/bin/unclutter-classic.
    - Add dh-exec build-dep.
  * Also install unclutter.man as unclutter-classic.man.
  * Call update-alternatives in prerm and postinst to register
    /usr/bin/unclutter-classic as an alternative for /usr/bin/unclutter,
    with the manpage as a slave link (Closes: #913639).

  [ Axel Beckert ]
  * Drop harmful and so far undocumented debian/source/options (introduced
    in 8-15). Thanks Lintian!
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Introduce a new package called unclutter-startup which contains
    /etc/X11/Xsession.d/90unclutter, generates /etc/default/unclutter and
    will be used by both, unclutter and unclutter-xfixes.
    + Split override_dh_installchangelogs into -arch and -indep to avoid
      installing upstream changelog into unclutter-startup.
    + Split up postinst between the two packages and rename/move other
      maintainer scripts as necessary.
    + Add a note about the differences between unclutter and
      unclutter-xfixes to the package description.
    + Add Breaks and Replaces header for moving files from unclutter to
      unclutter-startup.
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 18 Sep 2019 02:20:08 +0200

unclutter (8-21) unstable; urgency=medium

  * Update Vcs-* headers for the switch to salsa.debian.org.
  * Switch all remaining URLs in debian/copyright to HTTPS.
  * Set "Rules-Requires-Root: no".
  * Enable all hardening build flags.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Bump packaging copyright years in debian/copyright.
  * Declare compliance with Debian Policy 4.1.3. (No further changes.)

 -- Axel Beckert <abe@debian.org>  Tue, 02 Jan 2018 07:41:13 +0100

unclutter (8-20) unstable; urgency=low

  * Add Italian debconf translation by Beatrice Torracca (Closes: #714010)
  * Apply wrap-and-sort.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Make DEP5-ish debian/copyright DEP5-compliant.
  * Let Homepage header in debian/control and Source header in
    debian/copyright point to a 2015-dated snapshot of ftp.x.org as I
    can't find unclutter anymore since they restructured their directory
    layout and cluttered the tar balls over tons of directories.
  * Switch Vcs-Browser header to HTTPS and cgit.
  * Add Brazilian Portuguese debconf translation by Adriano Rafael Gomes
    (Closes: #811521)
  * 03-fix-gtk-blinking.patch: Make DEP3-ish patch header DEP3-compliant.

 -- Axel Beckert <abe@debian.org>  Tue, 19 Jan 2016 20:40:04 +0100

unclutter (8-19) unstable; urgency=low

  * Add patch by Tao Nelson to fix blinking pointer and 100% CPU usage
    with GTK applications. (Closes: #266118) Thanks Tao!
  * Bump debhelper compatibility to 9 to ease hardening build flags
    + Update versioned debhelper build-dependency to >= 9~.
  * Add patch to properly pass $LDFLAGS (fixes lintian warning
    hardening-no-relro) and $CFLAGS (fixes blhc warning)
  * Add patch to fix lintian warning hyphen-used-as-minus-sign.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix grammar in README.source.

 -- Axel Beckert <abe@debian.org>  Thu, 02 May 2013 02:15:08 +0200

unclutter (8-18) unstable; urgency=low

  * Add a README.source explaining why Debian doesn't use
    http://sf.net/projects/unclutter/ as upstream project.
  * Add Ian Jackson to Uploaders.
  * Add Homepage field pointing to ftp://ftp.x.org/contrib/utilities/
    (despite it's not a real homepage, but packages.debian.org and
    packages.qa.debian.org then link to it which is good.)

 -- Axel Beckert <abe@debian.org>  Fri, 23 Sep 2011 03:33:55 +0200

unclutter (8-17) unstable; urgency=low

  * Adopting the package (Closes: #640954)
  * Readding upstream download URL to debian/copyright
  * Readding Vcs-* headers
  * Added watch file
  * Update short description
  * debian/source/local-options: abort-on-upstream-changes and
    unapply-patches

 -- Axel Beckert <abe@debian.org>  Fri, 09 Sep 2011 00:11:08 +0200

unclutter (8-16) unstable; urgency=low

  * Updating to standards version 3.9.2.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Sep 2011 08:26:42 +0000

unclutter (8-15) experimental; urgency=low

  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.

