=== debian/control ===
Source: unclutter
Section: x11
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               libx11-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/unclutter
Vcs-Git: https://salsa.debian.org/debian/unclutter.git
Homepage: https://web.archive.org/web/20151129214845/http://ftp.x.org/contrib/utilities/
Rules-Requires-Root: no

Package: unclutter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: unclutter-startup
Description: hides the mouse cursor in X after a period of inactivity
 unclutter hides your X mouse cursor when you don't need it, to prevent it
 from getting in the way. You have only to move the mouse to restore the
 mouse cursor.
 .
 This is the original unclutter implementation from the 90s which
 works well with classic X11 programs. For a more modern
 implementation which works better with some more modern applications
 and UI libraries, see unclutter-xfixes.

Package: unclutter-startup
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: unclutter-xfixes | unclutter
Enhances: unclutter,
          unclutter-xfixes
Breaks: unclutter (<< 8-22~)
Replaces: unclutter (<< 8-22~)
Description: autostart infrastructure for unclutter and unclutter-xfixes
 This package contains the integration of unclutter respectively
 unclutter-xfixes into /etc/X11/Xsession.d/ so that it can be
 automatically started for all users of a system.
