=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh ${@}

override_dh_installchangelogs-arch:
	dh_installchangelogs patchlevel.h

override_dh_installchangelogs-indep:
	dh_installchangelogs

override_dh_auto_install:

override_dh_installman-arch:
	cp unclutter.man debian/tmp/unclutter-classic.man
	dh_installman debian/tmp/unclutter-classic.man
