=== debian/watch ===
version=3
ftp://ftp.x.org/contrib/utilities/unclutter-(.*)\.tar\.Z	debian uupdate
